Skip to content

Get Supported Chain Information

Endpoint

GET https://api.mycactus.dev/custody/v1/api/chain-infos
GET https://api.mycactus.com/custody/v1/api/chain-infos

Parameters

Query Parameters

FieldTypeDescription
chain
Optional
StringCactus chain name
Allowed Value: Refer to Network Symbol column in Supported Token
full_name
Optional
StringCommon chain name
Allowed Value: Refer to Network Full Name column in Supported Token

Response

Response Body

Field Type Description
code Integer Response code (0 = success)
message String Response message
successful Boolean Whether the request was successful
data Array[Object] Array of wallet chain information (see data object details below)

data (object)

FieldTypeDescription
chainStringCactus chain name
full_nameStringCommon chain name
main_coinStringChain main coin
evm_chainBooleanIf it is EVM compatible
support_eip1559BooleanIf it supports EIP 1559
confirm_block_numberStringDeposit security height
block_heightStringThe current block height of the chain. Note that this value is cached and may not reflect the latest block
miner_block_numberStringMining security height

Response Example

{
  "code": 0,
  "message": "",
  "data": [
    {
      "chain": "ETH",
      "full_name": "Ethereum",
      "main_coin": "ETH",
      "evm_chain": true,
      "support_eip1559": true,
      "confirm_block_number": 64,
      "block_height": 18542891,
      "miner_block_number": 64
    },
    {
      "chain": "ETC",
      "full_name": "Ethereum Classic",
      "main_coin": "ETC",
      "evm_chain": true,
      "support_eip1559": false,
      "confirm_block_number": 100,
      "block_height": 18542891,
      "miner_block_number": 100
    }
  ],
  "successful": true
}